SDL_GetAppMetadataProperty(3)

NAME
SDL_GetAppMetadataProperty - Get metadata about your app.

SYNOPSIS
#include <SDL3/SDL_init.h>

const char * SDL_GetAppMetadataProperty(const char *name);

DESCRIPTION
This returns metadata previously set using SDL_SetAppMetadata() or SDL_SetAppMetadataProperty(). See SDL_SetAppMetadataProperty() for the list of available properties and their meanings.

FUNCTION PARAMETERS

name
    the name of the metadata property to get.

RETURN VALUE
Returns the current value of the metadata property, or the default if it is not set, NULL for properties with no default.

THREAD SAFETY
It is safe to call this function from any thread, although the string returned is not protected and could potentially be freed if you call SDL_SetAppMetadataProperty() to set that property from another thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetAppMetadata(3), SDL_SetAppMetadataProperty(3)